Bug Hunting Session
Bug 125368 - Add Karasa Jaga SVG Icons
Summary: Add Karasa Jaga SVG Icons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL: https://github.com/rizmut/libreoffice...
Whiteboard: target:6.3.0 target:6.4.0 target:6.3.3
Keywords:
Depends on:
Blocks: Icon-Theme-KarasaJaga
  Show dependency treegraph
 
Reported: 2019-05-19 09:58 UTC by Rizal Muttaqin
Modified: 2019-09-08 12:05 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
No Karasa Jaga SVG (11.57 KB, image/png)
2019-08-20 13:40 UTC, Petr Valach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2019-05-19 09:58:42 UTC
Currently the only icon which have not yet had SVG icon version is Karasa Jaga while in the future the SVG version is preferred one to support HDPI screen. Please add the source icon to the core.
Comment 1 Commit Notification 2019-05-19 12:07:35 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7157a102b8b2dd2097ebdbb069a6f6f055f7a727%5E%21

tdf#125368 add Karasa Jaga SVG Icons

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 V Stuart Foote 2019-05-19 14:03:08 UTC
Welcome addition. Thanks!
Comment 3 Commit Notification 2019-06-09 22:51:54 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5e74085e07bbeb23c7d29fc3c5f6f6d2b7ff97e7%5E%21

 tdf#125368, KJ: vcl, radio; elementary: res, snap

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rizal Muttaqin 2019-06-12 09:24:04 UTC
(In reply to V Stuart Foote from comment #2)
> Welcome addition. Thanks!

you are welcome
Comment 5 Petr Valach 2019-08-20 13:40:50 UTC
Created attachment 153535 [details]
No Karasa Jaga SVG

There are no Karasa Jaga icons in SVG. LibreOffice 6.3.0.4.
Comment 6 Rizal Muttaqin 2019-08-22 03:43:20 UTC
(In reply to Petr Valach from comment #5)
> Created attachment 153535 [details]
> No Karasa Jaga SVG
> 
> There are no Karasa Jaga icons in SVG. LibreOffice 6.3.0.4.

Things that we missed code pointer here.

@htietze Should we delete this inclusion in the release note or create a new bug report.
Comment 7 Heiko Tietze 2019-08-22 06:32:58 UTC
(In reply to Rizal Muttaqin from comment #6)
> @htietze Should we delete this inclusion in the release note or create a new
> bug report.

IIUC, you want to update the release notes of 6.3 (KJ is not yet available as SVG) _and_ create a new bug report? Why not reopen this?
Comment 8 Rizal Muttaqin 2019-08-26 07:28:31 UTC Comment hidden (off-topic)
Comment 9 Heiko Tietze 2019-08-26 07:37:20 UTC Comment hidden (off-topic)
Comment 10 Commit Notification 2019-09-07 15:18:51 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/61b757f31f25cda6d595f64226181c7a82ce8d7f%5E%21

tdf#125368, Make KJ SVG icons available in the app

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-09-08 12:05:23 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/d4f79aee83be592d12aae66a781ecd55666a7c34%5E%21

tdf#125368, Make KJ SVG icons available in the app

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.